com.sun.j3d.utils.picking.behaviors

## Interface PickingCallback

-     public interface PickingCallback

  The PickingCallback interface allows a class to be notified when a picked object is moved. The class that is interested in object movement implements this interface, and the object created with that class is registered with the desired subclass of PickMouseBehavior using the `setupCallback` method. When the picked object moves, the registered object's `transformChanged` method is invoked.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `NO_PICK` The user made a selection but nothing was actually picked
    `static int` | `ROTATE`
    `static int` | `TRANSLATE`
    `static int` | `ZOOM`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `transformChanged(int type, TransformGroup tg)` Called by the Pick Behavior with which this callback is registered each time the Picked object is moved

- - ### Field Detail

    - #### ROTATE

          static final int ROTATE

      See Also:
        Constant Field Values

    - #### TRANSLATE

          static final int TRANSLATE

      See Also:
        Constant Field Values

    - #### ZOOM

          static final int ZOOM

      See Also:
        Constant Field Values

    - #### NO_PICK

          static final int NO_PICK

      The user made a selection but nothing was actually picked
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### transformChanged

          void transformChanged(int type,
                              TransformGroup tg)

      Called by the Pick Behavior with which this callback is registered each time the Picked object is moved

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.